Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network231.26.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
231.26.0.0
Broadcast address
231.26.31.255
First usable
231.26.0.1
Last usable
231.26.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E71A0000 · Integer 3877240832 to 3877249023
Reverse DNS zones
0.26.231.in-addr.arpa
1.26.231.in-addr.arpa
2.26.231.in-addr.arpa
3.26.231.in-addr.arpa
4.26.231.in-addr.arpa
5.26.231.in-addr.arpa
6.26.231.in-addr.arpa
7.26.231.in-addr.arpa
8.26.231.in-addr.arpa
9.26.231.in-addr.arpa
10.26.231.in-addr.arpa
11.26.231.in-addr.arpa
12.26.231.in-addr.arpa
13.26.231.in-addr.arpa
14.26.231.in-addr.arpa
15.26.231.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100111.00011010.00000000.00000000231.26.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11100111.00011010.00000000.00000000231.26.0.0
Broadcast11100111.00011010.00011111.11111111231.26.31.255
Split into smaller subnets/30

231.26.0.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1231.26.0.0/30231.26.0.1 to 231.26.0.2231.26.0.32
2231.26.0.4/30231.26.0.5 to 231.26.0.6231.26.0.72
3231.26.0.8/30231.26.0.9 to 231.26.0.10231.26.0.112
4231.26.0.12/30231.26.0.13 to 231.26.0.14231.26.0.152
5231.26.0.16/30231.26.0.17 to 231.26.0.18231.26.0.192
6231.26.0.20/30231.26.0.21 to 231.26.0.22231.26.0.232
7231.26.0.24/30231.26.0.25 to 231.26.0.26231.26.0.272
8231.26.0.28/30231.26.0.29 to 231.26.0.30231.26.0.312
9231.26.0.32/30231.26.0.33 to 231.26.0.34231.26.0.352
10231.26.0.36/30231.26.0.37 to 231.26.0.38231.26.0.392
11231.26.0.40/30231.26.0.41 to 231.26.0.42231.26.0.432
12231.26.0.44/30231.26.0.45 to 231.26.0.46231.26.0.472
13231.26.0.48/30231.26.0.49 to 231.26.0.50231.26.0.512
14231.26.0.52/30231.26.0.53 to 231.26.0.54231.26.0.552
15231.26.0.56/30231.26.0.57 to 231.26.0.58231.26.0.592
16231.26.0.60/30231.26.0.61 to 231.26.0.62231.26.0.632
17231.26.0.64/30231.26.0.65 to 231.26.0.66231.26.0.672
18231.26.0.68/30231.26.0.69 to 231.26.0.70231.26.0.712
19231.26.0.72/30231.26.0.73 to 231.26.0.74231.26.0.752
20231.26.0.76/30231.26.0.77 to 231.26.0.78231.26.0.792
21231.26.0.80/30231.26.0.81 to 231.26.0.82231.26.0.832
22231.26.0.84/30231.26.0.85 to 231.26.0.86231.26.0.872
23231.26.0.88/30231.26.0.89 to 231.26.0.90231.26.0.912
24231.26.0.92/30231.26.0.93 to 231.26.0.94231.26.0.952
25231.26.0.96/30231.26.0.97 to 231.26.0.98231.26.0.992
26231.26.0.100/30231.26.0.101 to 231.26.0.102231.26.0.1032
27231.26.0.104/30231.26.0.105 to 231.26.0.106231.26.0.1072
28231.26.0.108/30231.26.0.109 to 231.26.0.110231.26.0.1112
29231.26.0.112/30231.26.0.113 to 231.26.0.114231.26.0.1152
30231.26.0.116/30231.26.0.117 to 231.26.0.118231.26.0.1192
31231.26.0.120/30231.26.0.121 to 231.26.0.122231.26.0.1232
32231.26.0.124/30231.26.0.125 to 231.26.0.126231.26.0.1272
33231.26.0.128/30231.26.0.129 to 231.26.0.130231.26.0.1312
34231.26.0.132/30231.26.0.133 to 231.26.0.134231.26.0.1352
35231.26.0.136/30231.26.0.137 to 231.26.0.138231.26.0.1392
36231.26.0.140/30231.26.0.141 to 231.26.0.142231.26.0.1432
37231.26.0.144/30231.26.0.145 to 231.26.0.146231.26.0.1472
38231.26.0.148/30231.26.0.149 to 231.26.0.150231.26.0.1512
39231.26.0.152/30231.26.0.153 to 231.26.0.154231.26.0.1552
40231.26.0.156/30231.26.0.157 to 231.26.0.158231.26.0.1592
41231.26.0.160/30231.26.0.161 to 231.26.0.162231.26.0.1632
42231.26.0.164/30231.26.0.165 to 231.26.0.166231.26.0.1672
43231.26.0.168/30231.26.0.169 to 231.26.0.170231.26.0.1712
44231.26.0.172/30231.26.0.173 to 231.26.0.174231.26.0.1752
45231.26.0.176/30231.26.0.177 to 231.26.0.178231.26.0.1792
46231.26.0.180/30231.26.0.181 to 231.26.0.182231.26.0.1832
47231.26.0.184/30231.26.0.185 to 231.26.0.186231.26.0.1872
48231.26.0.188/30231.26.0.189 to 231.26.0.190231.26.0.1912
49231.26.0.192/30231.26.0.193 to 231.26.0.194231.26.0.1952
50231.26.0.196/30231.26.0.197 to 231.26.0.198231.26.0.1992
51231.26.0.200/30231.26.0.201 to 231.26.0.202231.26.0.2032
52231.26.0.204/30231.26.0.205 to 231.26.0.206231.26.0.2072
53231.26.0.208/30231.26.0.209 to 231.26.0.210231.26.0.2112
54231.26.0.212/30231.26.0.213 to 231.26.0.214231.26.0.2152
55231.26.0.216/30231.26.0.217 to 231.26.0.218231.26.0.2192
56231.26.0.220/30231.26.0.221 to 231.26.0.222231.26.0.2232
57231.26.0.224/30231.26.0.225 to 231.26.0.226231.26.0.2272
58231.26.0.228/30231.26.0.229 to 231.26.0.230231.26.0.2312
59231.26.0.232/30231.26.0.233 to 231.26.0.234231.26.0.2352
60231.26.0.236/30231.26.0.237 to 231.26.0.238231.26.0.2392
61231.26.0.240/30231.26.0.241 to 231.26.0.242231.26.0.2432
62231.26.0.244/30231.26.0.245 to 231.26.0.246231.26.0.2472
63231.26.0.248/30231.26.0.249 to 231.26.0.250231.26.0.2512
64231.26.0.252/30231.26.0.253 to 231.26.0.254231.26.0.2552
65231.26.1.0/30231.26.1.1 to 231.26.1.2231.26.1.32
66231.26.1.4/30231.26.1.5 to 231.26.1.6231.26.1.72
67231.26.1.8/30231.26.1.9 to 231.26.1.10231.26.1.112
68231.26.1.12/30231.26.1.13 to 231.26.1.14231.26.1.152
69231.26.1.16/30231.26.1.17 to 231.26.1.18231.26.1.192
70231.26.1.20/30231.26.1.21 to 231.26.1.22231.26.1.232
71231.26.1.24/30231.26.1.25 to 231.26.1.26231.26.1.272
72231.26.1.28/30231.26.1.29 to 231.26.1.30231.26.1.312
73231.26.1.32/30231.26.1.33 to 231.26.1.34231.26.1.352
74231.26.1.36/30231.26.1.37 to 231.26.1.38231.26.1.392
75231.26.1.40/30231.26.1.41 to 231.26.1.42231.26.1.432
76231.26.1.44/30231.26.1.45 to 231.26.1.46231.26.1.472
77231.26.1.48/30231.26.1.49 to 231.26.1.50231.26.1.512
78231.26.1.52/30231.26.1.53 to 231.26.1.54231.26.1.552
79231.26.1.56/30231.26.1.57 to 231.26.1.58231.26.1.592
80231.26.1.60/30231.26.1.61 to 231.26.1.62231.26.1.632
81231.26.1.64/30231.26.1.65 to 231.26.1.66231.26.1.672
82231.26.1.68/30231.26.1.69 to 231.26.1.70231.26.1.712
83231.26.1.72/30231.26.1.73 to 231.26.1.74231.26.1.752
84231.26.1.76/30231.26.1.77 to 231.26.1.78231.26.1.792
85231.26.1.80/30231.26.1.81 to 231.26.1.82231.26.1.832
86231.26.1.84/30231.26.1.85 to 231.26.1.86231.26.1.872
87231.26.1.88/30231.26.1.89 to 231.26.1.90231.26.1.912
88231.26.1.92/30231.26.1.93 to 231.26.1.94231.26.1.952
89231.26.1.96/30231.26.1.97 to 231.26.1.98231.26.1.992
90231.26.1.100/30231.26.1.101 to 231.26.1.102231.26.1.1032
91231.26.1.104/30231.26.1.105 to 231.26.1.106231.26.1.1072
92231.26.1.108/30231.26.1.109 to 231.26.1.110231.26.1.1112
93231.26.1.112/30231.26.1.113 to 231.26.1.114231.26.1.1152
94231.26.1.116/30231.26.1.117 to 231.26.1.118231.26.1.1192
95231.26.1.120/30231.26.1.121 to 231.26.1.122231.26.1.1232
96231.26.1.124/30231.26.1.125 to 231.26.1.126231.26.1.1272
97231.26.1.128/30231.26.1.129 to 231.26.1.130231.26.1.1312
98231.26.1.132/30231.26.1.133 to 231.26.1.134231.26.1.1352
99231.26.1.136/30231.26.1.137 to 231.26.1.138231.26.1.1392
100231.26.1.140/30231.26.1.141 to 231.26.1.142231.26.1.1432
101231.26.1.144/30231.26.1.145 to 231.26.1.146231.26.1.1472
102231.26.1.148/30231.26.1.149 to 231.26.1.150231.26.1.1512
103231.26.1.152/30231.26.1.153 to 231.26.1.154231.26.1.1552
104231.26.1.156/30231.26.1.157 to 231.26.1.158231.26.1.1592
105231.26.1.160/30231.26.1.161 to 231.26.1.162231.26.1.1632
106231.26.1.164/30231.26.1.165 to 231.26.1.166231.26.1.1672
107231.26.1.168/30231.26.1.169 to 231.26.1.170231.26.1.1712
108231.26.1.172/30231.26.1.173 to 231.26.1.174231.26.1.1752
109231.26.1.176/30231.26.1.177 to 231.26.1.178231.26.1.1792
110231.26.1.180/30231.26.1.181 to 231.26.1.182231.26.1.1832
111231.26.1.184/30231.26.1.185 to 231.26.1.186231.26.1.1872
112231.26.1.188/30231.26.1.189 to 231.26.1.190231.26.1.1912
113231.26.1.192/30231.26.1.193 to 231.26.1.194231.26.1.1952
114231.26.1.196/30231.26.1.197 to 231.26.1.198231.26.1.1992
115231.26.1.200/30231.26.1.201 to 231.26.1.202231.26.1.2032
116231.26.1.204/30231.26.1.205 to 231.26.1.206231.26.1.2072
117231.26.1.208/30231.26.1.209 to 231.26.1.210231.26.1.2112
118231.26.1.212/30231.26.1.213 to 231.26.1.214231.26.1.2152
119231.26.1.216/30231.26.1.217 to 231.26.1.218231.26.1.2192
120231.26.1.220/30231.26.1.221 to 231.26.1.222231.26.1.2232
121231.26.1.224/30231.26.1.225 to 231.26.1.226231.26.1.2272
122231.26.1.228/30231.26.1.229 to 231.26.1.230231.26.1.2312
123231.26.1.232/30231.26.1.233 to 231.26.1.234231.26.1.2352
124231.26.1.236/30231.26.1.237 to 231.26.1.238231.26.1.2392
125231.26.1.240/30231.26.1.241 to 231.26.1.242231.26.1.2432
126231.26.1.244/30231.26.1.245 to 231.26.1.246231.26.1.2472
127231.26.1.248/30231.26.1.249 to 231.26.1.250231.26.1.2512
128231.26.1.252/30231.26.1.253 to 231.26.1.254231.26.1.2552
129231.26.2.0/30231.26.2.1 to 231.26.2.2231.26.2.32
130231.26.2.4/30231.26.2.5 to 231.26.2.6231.26.2.72
131231.26.2.8/30231.26.2.9 to 231.26.2.10231.26.2.112
132231.26.2.12/30231.26.2.13 to 231.26.2.14231.26.2.152
133231.26.2.16/30231.26.2.17 to 231.26.2.18231.26.2.192
134231.26.2.20/30231.26.2.21 to 231.26.2.22231.26.2.232
135231.26.2.24/30231.26.2.25 to 231.26.2.26231.26.2.272
136231.26.2.28/30231.26.2.29 to 231.26.2.30231.26.2.312
137231.26.2.32/30231.26.2.33 to 231.26.2.34231.26.2.352
138231.26.2.36/30231.26.2.37 to 231.26.2.38231.26.2.392
139231.26.2.40/30231.26.2.41 to 231.26.2.42231.26.2.432
140231.26.2.44/30231.26.2.45 to 231.26.2.46231.26.2.472
141231.26.2.48/30231.26.2.49 to 231.26.2.50231.26.2.512
142231.26.2.52/30231.26.2.53 to 231.26.2.54231.26.2.552
143231.26.2.56/30231.26.2.57 to 231.26.2.58231.26.2.592
144231.26.2.60/30231.26.2.61 to 231.26.2.62231.26.2.632
145231.26.2.64/30231.26.2.65 to 231.26.2.66231.26.2.672
146231.26.2.68/30231.26.2.69 to 231.26.2.70231.26.2.712
147231.26.2.72/30231.26.2.73 to 231.26.2.74231.26.2.752
148231.26.2.76/30231.26.2.77 to 231.26.2.78231.26.2.792
149231.26.2.80/30231.26.2.81 to 231.26.2.82231.26.2.832
150231.26.2.84/30231.26.2.85 to 231.26.2.86231.26.2.872
151231.26.2.88/30231.26.2.89 to 231.26.2.90231.26.2.912
152231.26.2.92/30231.26.2.93 to 231.26.2.94231.26.2.952
153231.26.2.96/30231.26.2.97 to 231.26.2.98231.26.2.992
154231.26.2.100/30231.26.2.101 to 231.26.2.102231.26.2.1032
155231.26.2.104/30231.26.2.105 to 231.26.2.106231.26.2.1072
156231.26.2.108/30231.26.2.109 to 231.26.2.110231.26.2.1112
157231.26.2.112/30231.26.2.113 to 231.26.2.114231.26.2.1152
158231.26.2.116/30231.26.2.117 to 231.26.2.118231.26.2.1192
159231.26.2.120/30231.26.2.121 to 231.26.2.122231.26.2.1232
160231.26.2.124/30231.26.2.125 to 231.26.2.126231.26.2.1272
161231.26.2.128/30231.26.2.129 to 231.26.2.130231.26.2.1312
162231.26.2.132/30231.26.2.133 to 231.26.2.134231.26.2.1352
163231.26.2.136/30231.26.2.137 to 231.26.2.138231.26.2.1392
164231.26.2.140/30231.26.2.141 to 231.26.2.142231.26.2.1432
165231.26.2.144/30231.26.2.145 to 231.26.2.146231.26.2.1472
166231.26.2.148/30231.26.2.149 to 231.26.2.150231.26.2.1512
167231.26.2.152/30231.26.2.153 to 231.26.2.154231.26.2.1552
168231.26.2.156/30231.26.2.157 to 231.26.2.158231.26.2.1592
169231.26.2.160/30231.26.2.161 to 231.26.2.162231.26.2.1632
170231.26.2.164/30231.26.2.165 to 231.26.2.166231.26.2.1672
171231.26.2.168/30231.26.2.169 to 231.26.2.170231.26.2.1712
172231.26.2.172/30231.26.2.173 to 231.26.2.174231.26.2.1752
173231.26.2.176/30231.26.2.177 to 231.26.2.178231.26.2.1792
174231.26.2.180/30231.26.2.181 to 231.26.2.182231.26.2.1832
175231.26.2.184/30231.26.2.185 to 231.26.2.186231.26.2.1872
176231.26.2.188/30231.26.2.189 to 231.26.2.190231.26.2.1912
177231.26.2.192/30231.26.2.193 to 231.26.2.194231.26.2.1952
178231.26.2.196/30231.26.2.197 to 231.26.2.198231.26.2.1992
179231.26.2.200/30231.26.2.201 to 231.26.2.202231.26.2.2032
180231.26.2.204/30231.26.2.205 to 231.26.2.206231.26.2.2072
181231.26.2.208/30231.26.2.209 to 231.26.2.210231.26.2.2112
182231.26.2.212/30231.26.2.213 to 231.26.2.214231.26.2.2152
183231.26.2.216/30231.26.2.217 to 231.26.2.218231.26.2.2192
184231.26.2.220/30231.26.2.221 to 231.26.2.222231.26.2.2232
185231.26.2.224/30231.26.2.225 to 231.26.2.226231.26.2.2272
186231.26.2.228/30231.26.2.229 to 231.26.2.230231.26.2.2312
187231.26.2.232/30231.26.2.233 to 231.26.2.234231.26.2.2352
188231.26.2.236/30231.26.2.237 to 231.26.2.238231.26.2.2392
189231.26.2.240/30231.26.2.241 to 231.26.2.242231.26.2.2432
190231.26.2.244/30231.26.2.245 to 231.26.2.246231.26.2.2472
191231.26.2.248/30231.26.2.249 to 231.26.2.250231.26.2.2512
192231.26.2.252/30231.26.2.253 to 231.26.2.254231.26.2.2552
193231.26.3.0/30231.26.3.1 to 231.26.3.2231.26.3.32
194231.26.3.4/30231.26.3.5 to 231.26.3.6231.26.3.72
195231.26.3.8/30231.26.3.9 to 231.26.3.10231.26.3.112
196231.26.3.12/30231.26.3.13 to 231.26.3.14231.26.3.152
197231.26.3.16/30231.26.3.17 to 231.26.3.18231.26.3.192
198231.26.3.20/30231.26.3.21 to 231.26.3.22231.26.3.232
199231.26.3.24/30231.26.3.25 to 231.26.3.26231.26.3.272
200231.26.3.28/30231.26.3.29 to 231.26.3.30231.26.3.312
201231.26.3.32/30231.26.3.33 to 231.26.3.34231.26.3.352
202231.26.3.36/30231.26.3.37 to 231.26.3.38231.26.3.392
203231.26.3.40/30231.26.3.41 to 231.26.3.42231.26.3.432
204231.26.3.44/30231.26.3.45 to 231.26.3.46231.26.3.472
205231.26.3.48/30231.26.3.49 to 231.26.3.50231.26.3.512
206231.26.3.52/30231.26.3.53 to 231.26.3.54231.26.3.552
207231.26.3.56/30231.26.3.57 to 231.26.3.58231.26.3.592
208231.26.3.60/30231.26.3.61 to 231.26.3.62231.26.3.632
209231.26.3.64/30231.26.3.65 to 231.26.3.66231.26.3.672
210231.26.3.68/30231.26.3.69 to 231.26.3.70231.26.3.712
211231.26.3.72/30231.26.3.73 to 231.26.3.74231.26.3.752
212231.26.3.76/30231.26.3.77 to 231.26.3.78231.26.3.792
213231.26.3.80/30231.26.3.81 to 231.26.3.82231.26.3.832
214231.26.3.84/30231.26.3.85 to 231.26.3.86231.26.3.872
215231.26.3.88/30231.26.3.89 to 231.26.3.90231.26.3.912
216231.26.3.92/30231.26.3.93 to 231.26.3.94231.26.3.952
217231.26.3.96/30231.26.3.97 to 231.26.3.98231.26.3.992
218231.26.3.100/30231.26.3.101 to 231.26.3.102231.26.3.1032
219231.26.3.104/30231.26.3.105 to 231.26.3.106231.26.3.1072
220231.26.3.108/30231.26.3.109 to 231.26.3.110231.26.3.1112
221231.26.3.112/30231.26.3.113 to 231.26.3.114231.26.3.1152
222231.26.3.116/30231.26.3.117 to 231.26.3.118231.26.3.1192
223231.26.3.120/30231.26.3.121 to 231.26.3.122231.26.3.1232
224231.26.3.124/30231.26.3.125 to 231.26.3.126231.26.3.1272
225231.26.3.128/30231.26.3.129 to 231.26.3.130231.26.3.1312
226231.26.3.132/30231.26.3.133 to 231.26.3.134231.26.3.1352
227231.26.3.136/30231.26.3.137 to 231.26.3.138231.26.3.1392
228231.26.3.140/30231.26.3.141 to 231.26.3.142231.26.3.1432
229231.26.3.144/30231.26.3.145 to 231.26.3.146231.26.3.1472
230231.26.3.148/30231.26.3.149 to 231.26.3.150231.26.3.1512
231231.26.3.152/30231.26.3.153 to 231.26.3.154231.26.3.1552
232231.26.3.156/30231.26.3.157 to 231.26.3.158231.26.3.1592
233231.26.3.160/30231.26.3.161 to 231.26.3.162231.26.3.1632
234231.26.3.164/30231.26.3.165 to 231.26.3.166231.26.3.1672
235231.26.3.168/30231.26.3.169 to 231.26.3.170231.26.3.1712
236231.26.3.172/30231.26.3.173 to 231.26.3.174231.26.3.1752
237231.26.3.176/30231.26.3.177 to 231.26.3.178231.26.3.1792
238231.26.3.180/30231.26.3.181 to 231.26.3.182231.26.3.1832
239231.26.3.184/30231.26.3.185 to 231.26.3.186231.26.3.1872
240231.26.3.188/30231.26.3.189 to 231.26.3.190231.26.3.1912
241231.26.3.192/30231.26.3.193 to 231.26.3.194231.26.3.1952
242231.26.3.196/30231.26.3.197 to 231.26.3.198231.26.3.1992
243231.26.3.200/30231.26.3.201 to 231.26.3.202231.26.3.2032
244231.26.3.204/30231.26.3.205 to 231.26.3.206231.26.3.2072
245231.26.3.208/30231.26.3.209 to 231.26.3.210231.26.3.2112
246231.26.3.212/30231.26.3.213 to 231.26.3.214231.26.3.2152
247231.26.3.216/30231.26.3.217 to 231.26.3.218231.26.3.2192
248231.26.3.220/30231.26.3.221 to 231.26.3.222231.26.3.2232
249231.26.3.224/30231.26.3.225 to 231.26.3.226231.26.3.2272
250231.26.3.228/30231.26.3.229 to 231.26.3.230231.26.3.2312
251231.26.3.232/30231.26.3.233 to 231.26.3.234231.26.3.2352
252231.26.3.236/30231.26.3.237 to 231.26.3.238231.26.3.2392
253231.26.3.240/30231.26.3.241 to 231.26.3.242231.26.3.2432
254231.26.3.244/30231.26.3.245 to 231.26.3.246231.26.3.2472
255231.26.3.248/30231.26.3.249 to 231.26.3.250231.26.3.2512
256231.26.3.252/30231.26.3.253 to 231.26.3.254231.26.3.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses